Skip to main content
GET
/
{chainId}
/
transactions
List Transactions
curl --request GET \
  --url https://api.caminotreasury.com/v1/{chainId}/transactions \
  --header 'x-api-key: <api-key>'
{
  "data": [
    {
      "hash": "0x1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef",
      "chainId": 123,
      "status": "pending",
      "type": "deposit",
      "from": "<string>",
      "contract": "<string>",
      "token": "<string>",
      "amount": "<string>",
      "organizationId": "<string>",
      "walletId": 123,
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "count": 123,
  "pagination": {
    "hasMore": true,
    "nextCursor": "2023-11-07T05:31:56Z"
  }
}

Authorizations

x-api-key
string
header
required

API key for authentication. Pass your key in the x-api-key header.

Path Parameters

chainId
integer
required

Blockchain chain ID

Query Parameters

status
enum<string>

Filter by transaction status

Available options:
pending,
confirmed,
failed
type
enum<string>

Filter by transaction type

Available options:
deposit,
withdrawal,
yield,
approval,
other
limit
integer
default:20

Number of results to return (1-100, default 20)

Required range: 1 <= x <= 100
cursor
string<date-time>

Pagination cursor (ISO 8601 timestamp from a previous response's nextCursor)

Response

Paginated list of transactions

data
object[]
count
integer

Number of items returned

pagination
object